<?xml version="1.0"?>
<!--网站配置文件-->
<configuration>
	<!--Url重写组件-->
	<configSections>
		<section name="RewriterConfig" type="URLRewriter.Config.RewriterConfigSerializerSectionHandler, URLRewriter"/>
	</configSections>
	<!--重写规则-->
	<RewriterConfig>
		<Rules>
			<RewriterRule>
				<LookFor>~/index.html</LookFor>
				<SendTo><![CDATA[~/index.aspx]]></SendTo>
			</RewriterRule>
			<RewriterRule>
				<LookFor>~/Product_(.*).html</LookFor>
				<SendTo><![CDATA[~/Product.aspx?id=$1]]></SendTo>
			</RewriterRule>
			<RewriterRule>
				<LookFor>~/List_(.*).html</LookFor>
				<SendTo><![CDATA[~/List.aspx?id=$1]]></SendTo>
			</RewriterRule>
			<RewriterRule>
				<LookFor>~/Content_(.*).html</LookFor>
				<SendTo><![CDATA[~/Content.aspx?id=$1]]></SendTo>
			</RewriterRule>
			<RewriterRule>
				<LookFor>~/ContentList_(.*).html</LookFor>
				<SendTo><![CDATA[~/ContentList.aspx?id=$1]]></SendTo>
			</RewriterRule>
			<RewriterRule>
				<LookFor>~/Help_(.*).html</LookFor>
				<SendTo><![CDATA[~/Help.aspx?id=$1]]></SendTo>
			</RewriterRule>
		</Rules>
	</RewriterConfig>
	<!--数据库连接字符串-->
	<connectionStrings>
		<add name="DataBaseSqlConnection" connectionString="Data Source=(local);Initial Catalog=ECMe;Integrated Security=True;"/>
		<!--<add name="DataBaseSqlConnection" connectionString="Data Source=(local);Initial Catalog=ECMe;Integrated Security=True;" />-->
	</connectionStrings>
	<!-- Fckeditor配置文件引用路径-->
	<appSettings configSource="Setting\App.config"></appSettings>
	<system.web>
		<httpHandlers>
			<remove verb="*" path="*.asmx"/>
			<add path="*/coolite.axd" verb="*" type="Coolite.Ext.Web.ResourceManager" validate="false"/>
			<add verb="*" path="*.asmx" validate="false" type="System.Web.Script.Services.ScriptHandlerFactory,System.Web.Extensions,Version=1.0.61025.0,Culture=neutral,PublicKeyToken=31bf3856ad364e35"/>
			<add verb="*" path="*_AppService.axd" validate="false" type="System.Web.Script.Services.ScriptHandlerFactory,System.Web.Extensions,Version=1.0.61025.0,Culture=neutral,PublicKeyToken=31bf3856ad364e35"/>
			<add verb="GET,HEAD" path="ScriptResource.axd" type="System.Web.Handlers.ScriptResourceHandler,System.Web.Extensions,Version=1.0.61025.0,Culture=neutral,PublicKeyToken=31bf3856ad364e35" validate="false"/>
			<!--重写配置(支持aspx,html)-->
			<add verb="*" path="*.aspx" type="URLRewriter.RewriterFactoryHandler, URLRewriter"/>
			<add verb="*" path="*.html" type="URLRewriter.RewriterFactoryHandler, URLRewriter"/>
			<!--重写配置(支持aspx,html)-->
		</httpHandlers>
		<!--网站调试模式，发布的时候FALSE，开发的时候DEBUG-->
		<compilation debug="false">
   <assemblies>
    <add assembly="System.Web.Extensions, Version=1.0.61025.0, Culture=neutral, PublicKeyToken=31BF3856AD364E35" />
    <add assembly="System.Web.Extensions.Design, Version=1.0.61025.0, Culture=neutral, PublicKeyToken=31BF3856AD364E35" />
   </assemblies>
   <buildProviders>
    <add extension=".html" type="System.Web.Compilation.PageBuildProvider" />
   </buildProviders>
  </compilation>
		<!--自定义httpModules，用来代替Global.asax-->
		<httpModules>
			<add name="MyGlobal" type="MyGlobal"/>
		</httpModules>
		<!--通过 <authentication> 节可以配置 ASP.NET 用来识别进入用户的安全身份验证模式。  -->
		<authentication mode="Forms">
			<forms loginUrl="ECMe/Adminlogin.aspx" name=".FormsAuthCookie"/>
		</authentication>
	</system.web>
</configuration>
 